Subject: New Reply Received - Good afternoon,I had a bad experience with “Centerpoint Egypt Cairo festival mall” I bought a Deni...
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Mon, 20 Jun 2022 15:23:27 +0000

Hi Samer Salmeh,  The customer has responded to the ticket.  Good afternoon,
I had a bad experience with “Centerpoint Egypt Cairo festival mall” 
I bought a Deni...  Ticket comment <div>Thanks for your kind respond any contacts can be done from yours to the branch there as I am in Germany and I’ll be back on Saturday to return the product and claim my right of this inconveniences</div>  https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4522605